package http_model

import "time"

type ProjectDataRequest struct {
	ProjectId string `json:"project_id"`
}

type ProjectDataResponse struct {
	RecruitDDl  time.Time      `json:"recruit_ddl"`
	Recruittime time.Time      `json:"recruit_time"`
	ApplyNum    int64          `json:"apply_num"`
	AgreeNum    int64          `json:"agree_num"`
	DraftFee    float64        `json:"draft_fee"`
	AvgFansNum  int            `json:"avg_fans_num"`
	FromType    float64        `json:"from_type"`
	ManRatio    float64        `json:"man_ratio"`
	FeeMap      map[int]int    `json:"fee_map"`
	FansMap     map[int64]int  `json:"fans_map"`
	DateStats   map[string]int `json:"date_stats"`
}

func NewProjectDataRequest() *ProjectDataRequest {
	return new(ProjectDataRequest)
}

func NewProjectDataResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(ProjectDataResponse)
	return resp
}
